## 项目简介
介绍项目主要功能例如：cloud-auth:认证模块，使用oauth2.0进行认证

## 代码结构说明
~~~
└─src
    └─main
        ├─java
        │  └─com
        │      └─lutao
        │          └─cloud
        │              └─auth
        │                  ├─config   配置
        │                  ├─endpoint token相关接口
        │                  ├─handler  处理器
        │                  └─service  服务层
        └─resources    资源文件
            ├─static   静态文件
            │  └─css   样式
            └─templates  
                └─ftl

~~~
## 构建指南
项目构建命令：
~~~
mvn clean package install 
~~~

## 部署指南
~~~
Docker运行文件DockerFile在 cloud-auth根目录下
~~~


## 运行指南
项目运行命令
~~~
docker run cloud-auth
或
docker-compose up -d cloud-auth
~~~

## 注意事项
~~~
项目运行顺序 
cloud-job
cloud-upms
cloud-auth
cloud-message
cloud-news
cloud-storage
cloud-demand
cloud-doc
cloud-effect
cloud-knowledge
cloud-pilot
cloud-publicser
cloud-spread
~~~
