package com.lutao.cloud.common.data.mqtt;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**

 * @date 2019-05-16
 * <p>
 * 字典类型
 */
@Getter
@AllArgsConstructor
public enum CloudMqttCommandEnum {


	SESSION_SEND_MESSAGE("SEND_MESSAGE", "发送消息"),
	SESSION_DISCONNECT("DISCONNECT", "遗嘱消息"),
	SESSION_JOIN_ROOM("JOIN_ROOM", "加入房间"),
	SESSION_LEAVE_ROOM("LEAVE_ROOM", "离开房间"),
	SESSION_END_ROOM("END_ROOM", "房间结束"),
	SESSION_ENTRY_ROOM("ENTRY_ROOM", "有房间可以进入");

	/**
	 * 类型
	 */
	private String command;

	/**
	 * 描述
	 */
	private String description;

}
