package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@TableName("perception_dynamic")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "报警动态值")
public class PerceptionDynamic extends Model<PerceptionMonitorAlarmInfo> {

    private static final long serialVersionUID = 1L;

    @TableId
    private Integer id;

    private String tagCode;

    private Double rtValue;

    private String appId;

    private LocalDateTime collectTime;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;


}
