package com.lutao.cloud.iot.mqtt.core.server.auth;

import org.tio.core.ChannelContext;

/**
 * mqtt 服务端唯一 id 绑定
 *

 */
public interface IMqttServerUniqueIdService {

	/**
	 * 获取 mqtt 唯一id，用来绑定 mqtt 内的 session 等功能
	 *
	 * @param context  ChannelContext
	 * @param clientId clientId
	 * @param userName userName
	 * @param password password
	 * @return uniqueId
	 */
	String getUniqueId(ChannelContext context, String clientId, String userName, String password);

}
