package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "分部检查查询参数")
public class DivisionInspectionDetailParam extends BaseParam{
    private static final long serialVersionUID = 2798229953620404154L;

    @ApiModelProperty(value = "整改期限开始时间")
    private LocalDate rectifyStartTime;

    @ApiModelProperty(value = "整改期限结束时间")
    private LocalDate rectifyEndTime;
}
