package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "文件查询参数")
public class FileParam extends BaseParam{
    private static final long serialVersionUID = 3794779738357948231L;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "上传人")
    private String uploadUser;

    @ApiModelProperty(value = "上传开始时间")
    private LocalDateTime uploadStartTime;

    @ApiModelProperty(value = "上传结束时间")
    private LocalDateTime uploadEndTime;
}
