package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "高风险作业统计图查询参数")
public class HighRiskCountParam extends BaseParam{
    private static final long serialVersionUID = -5676201664702303977L;


    @ApiModelProperty(value = "周期类型:day-日，week-周，month-月")
    private String cycleType;


    private LocalDateTime startDate;

    private LocalDateTime endDate;

    private Integer limit;

}
