package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "工艺参数信息VO")
public class ProcessParametersTagVOParam extends BaseParam {

    private static final long serialVersionUID = 8725086281165812583L;

    @ApiModelProperty(value = "全部：0，温度：2，压力：3，液位：5")
    private Integer paramType;

    @ApiModelProperty(value = "开始日期")
    private LocalDate startDate;

    @ApiModelProperty(value = "结束日期")
    private LocalDate endDate;

    @ApiModelProperty(value = "启用:0 停用1")
    private String status;

}
