package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "作业详情参数")
public class WorkDetailParam extends BaseParam{
    private static final long serialVersionUID = 804328273418232725L;


    @ApiModelProperty(value ="查询开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty(value ="查询结束时间")
    private LocalDateTime endTime;
}
