package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 火气报警图表VO
 *
 * @author yx
 * @date 2024/01/03
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "火气报警图表VO", description = "火气报警图表VO")
public class DetectAlarmChartVO implements Serializable {
    private static final long serialVersionUID = -8927725475769476843L;

    @ApiModelProperty(value = "报警日期")
    private LocalDate alarmDate;

    @ApiModelProperty(value = "报警次数")
    private Integer alarmCount;
}
