package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 高风险作业区域统计
 *
 * @author yx
 * @date 2023/07/31
 */
@ApiModel(value = "高风险作业区域统计")
@Data
@Accessors(chain = true)
public class HighRiskAreaVO implements Serializable {
    private static final long serialVersionUID = 4640427854802518516L;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "油气田")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司")
    private String operationCompany;

    @ApiModelProperty(value = "平台名称")
    private String areaName;

    @ApiModelProperty(value = "作业数量")
    private Integer workNumber;
}
