package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "高风险作业-作业详情")
public class HighRiskOperationsDetailVO implements Serializable {
    private static final long serialVersionUID = -7331285607995526905L;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "油气田")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司")
    private String operationCompany;

    @ApiModelProperty(value = "平台(设施)")
    private String areaName;

    @ApiModelProperty(value = "作业类型")
    private String workType;

    @ApiModelProperty(value = "作业人数")
    private Integer workNumber;

    @ApiModelProperty(value = "作业开始时间")
    private String taskBeginTime;

    @ApiModelProperty(value = "作业结束时间")
    private String taskEndTime;

    @ApiModelProperty(value = "作业内容")
    private String taskContent;
}
