package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "部级督导闭环管理信息vo")
public class MinisteriaSupervisionDetailVO implements Serializable {
    private static final long serialVersionUID = -4338434087249700625L;

    @ApiModelProperty(value="单位")
    private String appName;

    @ApiModelProperty(value="平台(设施)")
    private String platformName;

    @ApiModelProperty(value="油气田")
    private String oilGasName;

    @ApiModelProperty(value="作业公司")
    private String operationCompany;

    @ApiModelProperty(value="设施名称")
    private String facilityName;

    @ApiModelProperty(value="问题描述")
    private String hiddenProblems;

    @ApiModelProperty(value="整治措施")
    private String treatmentMeasures;

    @ApiModelProperty(value="问题隐患整治状态 001 待整治 002 已整治")
    private String hiddenProblemsState;

    @ApiModelProperty(value="录入时间")
    private String inputTime;

    @ApiModelProperty(value="整治期限")
    private String rectificationPeriod;

}
