package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 人员证书VO
 *
 * @author yx
 * @date 2023/09/13
 */
@ApiModel(value = "人员证书VO")
@Data
@Accessors(chain = true)
public class PersonCertificateVO implements Serializable {

    private static final long serialVersionUID = 4164998859887720719L;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "油气田")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司")
    private String operatingCompany;

    @ApiModelProperty(value = "平台(设施)")
    private String platformName;

    @ApiModelProperty(value = "姓名")
    private String personName;

    @ApiModelProperty(value = "证书编号")
    private String certificate;

    @ApiModelProperty(value = "证书类型")
    private String certificateType;

    @ApiModelProperty(value = "有效期")
    private String effectiveDate;

    @ApiModelProperty(value = "初领日期")
    private String initialCollectionDate;
}
