package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "人员平台排名")
@Data
public class PersonPlatformRankVO {

    @ApiModelProperty(value="平台名称")
    private String platformName;

    @ApiModelProperty(value="油气田名称")
    private String oilGasName;

    @ApiModelProperty(value="作业公司")
    private String operatingCompany;

    @ApiModelProperty(value="油商")
    private String appName;

    @ApiModelProperty(value="在平台人数")
    private Integer personNumber;

    @ApiModelProperty(value="登平台人数")
    private Integer loginNumber;

    @ApiModelProperty(value="离平台人数")
    private Integer logoutNumber;
}
