package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "人员今日平台信息VO")
public class PersonTodayPlatformInformationVO implements Serializable {
    private static final long serialVersionUID = -2180804939979221382L;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "平台（设施）")
    private String platformName;

    @ApiModelProperty(value = "作业公司")
    private String operationCompany;

    @ApiModelProperty(value = "油气田")
    private String oilGasName;

    @ApiModelProperty(value = "人员姓名")
    private String personName;

    @ApiModelProperty(value = "人员类型 1-内部成员，2-承包商")
    private Integer personType;

    @ApiModelProperty(value = "在平台日期")
    private String loginDate;


}
