package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 综合展示-火灾、可燃气体有毒气体探测报警
 *
 * @author yx
 * @date 2023/08/01
 */
@ApiModel(value = "综合展示-火灾、可燃气体有毒气体探测报警")
@Data
@Accessors(chain = true)
public class ScreenDisplayDetectAlarmVO implements Serializable {
    private static final long serialVersionUID = 8604613673749713308L;

    @ApiModelProperty(value = "火灾监测点数量")
    private Long firePointNumber;

    @ApiModelProperty(value = "火灾报警监测点数量")
    private Long fireAlarmPointNumber;

    @ApiModelProperty(value = "火灾报警数量")
    private Long fireAlarmNumber;


    @ApiModelProperty(value = "可燃气体监测点数量")
    private Long gasPointNumber;

    @ApiModelProperty(value = "可燃气体报警监测点数量")
    private Long gasAlarmPointNumber;

    @ApiModelProperty(value = "可燃气体报警数量")
    private Long gasAlarmNumber;


    @ApiModelProperty(value = "有毒气体监测点数量")
    private Long hazardousGasPointCount;

    @ApiModelProperty(value = "有毒气体报警监测点数量")
    private Long hazardousGasPointNumber;

    @ApiModelProperty(value = "有毒气体报警数量")
    private Long hazardousGasAlarmNumber;


    @ApiModelProperty(value = "关键工艺参数监测点数量")
    private Long keyProcessPointNumber;

    @ApiModelProperty(value = "关键工艺参数报警点位数量")
    private Long keyProcessAlarmPointNumber;

    @ApiModelProperty(value = "关键工艺参数报警数量")
    private Long keyProcessAlarmNumber;

}
