package com.lutao.cloud.oil.pojo.vo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 综合展示-专业设备
 *
 * @author yx
 * @date 2023/08/01
 */
@ApiModel(value = "综合展示-专业设备VO")
@Data
@Accessors(chain = true)
public class ScreenDisplayEquipmentVO implements Serializable {
    private static final long serialVersionUID = -6872357021963648056L;


    @ApiModelProperty(value = "即将过期年检数量")
    private Long soonToExpireYearInspectNumber;

    @ApiModelProperty(value = "即将过期定检数量")
    private Long soonToExpirePeriodicalInspectionNumber;

    @ApiModelProperty(value = "已过期年检数量")
    private Long expiredYearInspectNumber;

    @ApiModelProperty(value = "已过期定检数量")
    private Long expiredPeriodicalInspectionNumber;

    @ApiModelProperty(value = "设备总数")
    private Long equipmentCount;

    @ApiModelProperty(value = "设备名称和数量")
    private IPage<ScreenDisplayEquipmentNameAndNumber> equipmentNameAndNumberVOList;

}
