package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "安全风险评估柱状图")
@Accessors(chain = true)
public class SecurityRiskAssessmentBarVO implements Serializable {
    private static final long serialVersionUID = -2030287385338899496L;

    @ApiModelProperty(value = "高风险固定平台数量")
    private Long highRiskFixedPlatformNumber;

    @ApiModelProperty(value = "高风险FPSO数量")
    private Long highRiskFPSONumber;

    @ApiModelProperty(value = "高风险钻井平台数量")
    private Long highRiskDrillingPlatformNumber;

    @ApiModelProperty(value = "高风险人工岛数量")
    private Long highRiskArtificialIslandNumber;

    @ApiModelProperty(value = "较高风险固定平台数量")
    private Long mediumHighRiskFixedPlatformNumber;

    @ApiModelProperty(value = "较高风险FPSO数量")
    private Long mediumHighRiskFPSONumber;

    @ApiModelProperty(value = "较高风险钻井平台数量")
    private Long mediumHighRiskDrillingPlatformNumber;

    @ApiModelProperty(value = "较高风险人工岛数量")
    private Long mediumHighRiskArtificialIslandNumber;

    @ApiModelProperty(value = "中风险固定平台数量")
    private Long mediumRiskFixedPlatformNumber;

    @ApiModelProperty(value = "中风险FPSO数量")
    private Long mediumRiskFPSONumber;

    @ApiModelProperty(value = "中风险钻井平台数量")
    private Long mediumRiskDrillingPlatformNumber;

    @ApiModelProperty(value = "中风险人工岛数量")
    private Long mediumRiskArtificialIslandNumber;

    @ApiModelProperty(value = "低风险固定平台数量")
    private Long lowRiskFixedPlatformNumber;

    @ApiModelProperty(value = "低风险FPSO数量")
    private Long lowRiskFPSONumber;

    @ApiModelProperty(value = "低风险钻井平台数量")
    private Long lowRiskDrillingPlatformNumber;

    @ApiModelProperty(value = "低风险人工岛数量")
    private Long lowRiskArtificialIslandNumber;

    @ApiModelProperty(value = "未定级固定平台数量")
    private Long unFixedPlatformNumber;

    @ApiModelProperty(value = "未定级FPSO数量")
    private Long unFPSONumber;

    @ApiModelProperty(value = "未定级钻井平台数量")
    private Long unDrillingPlatformNumber;

    @ApiModelProperty(value = "未定级人工岛数量")
    private Long unArtificialIslandNumber;



}
