package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "报警环比vo")
@Accessors(chain = true)
public class TagAlarmQoqVO implements Serializable {
    private static final long serialVersionUID = -782299153203209016L;

    @ApiModelProperty(value = "温度报警次数")
    private Long temperatureAlarmNumber;

    @ApiModelProperty(value = "温度环比上周期")
    private String temperatureQoq;

    @ApiModelProperty(value = "压力报警次数")
    private Long pressureAlarmNumber;

    @ApiModelProperty(value = "压力环比上周期")
    private String pressureQoq;

    @ApiModelProperty(value = "液位报警次数")
    private Long liquidLevelAlarmNumber;

    @ApiModelProperty(value = "液位环比上周期")
    private String liquidLevelQoq;

    @ApiModelProperty(value = "报警因素分析-温度占比")
    private String temperatureAlarmRatio;

    @ApiModelProperty(value = "报警因素分析-压力占比")
    private String pressureAlarmRatio;

    @ApiModelProperty(value = "报警因素分析-液位占比")
    private String liquidLevelAlarmRatio;


}
