package com.lutao.cloud.oil.pojo.vo;

import com.lutao.cloud.oil.pojo.entity.VideoInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel(value = "视频设备信息树")
public class VideoInfoNode {

    @ApiModelProperty(value = "视频/设备信息")
    private VideoInfo videoInfo;

    @ApiModelProperty(value = "子节点")
    private List<VideoInfoNode> children;
}
