package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 专业设备年检分布
 *
 * @author yx
 * @date 2023/07/29
 */
@ApiModel(value = "专业设备年检分布/专业设备定检分布")
@Data
@Accessors(chain = true)
public class YearInspectionDistributionVO implements Serializable {
    private static final long serialVersionUID = 7445721873280535205L;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "年检设备数量/定检设备数量")
    private Long inspectNumber;
}
