

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.EquipmentTagParam;
import com.lutao.cloud.oil.pojo.vo.EquipmentTagAlarmVO;
import com.lutao.entity.FacilityParamManager;
import org.apache.ibatis.annotations.Mapper;

/**
 * 工艺参数异常闭环管理
 *
 * @author guoyc
 * @date 2023-07-20 10:56:48
 */
@Mapper
public interface FacilityParamManagerMapper extends CloudBaseMapper<FacilityParamManager> {

    IPage<EquipmentTagAlarmVO> getEquipmentTagAlarm(Page page, EquipmentTagParam param);
}
