package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.ProcessParametersTagVOParam;
import com.lutao.cloud.oil.pojo.vo.ProcessParametersTagVO;
import com.lutao.entity.ProcessParameterTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ProcessParameterTagMapper extends CloudBaseMapper<ProcessParameterTag> {
    /**
     * 获取工艺参数信息分页
     *
     * @param page  page
     * @param param param
     * @return {@link MessageInfo}<{@link IPage}<{@link ProcessParametersTagVO}>>
     */
    IPage<ProcessParametersTagVO> getProcessParamInfoPage(Page page, @Param("param") ProcessParametersTagVOParam param);
}
