package com.lutao.cloud.common.core.constant;

/**

 * @date 2017/10/29
 */
public interface CommonConstants{

	/**
	 * header 中租户ID
	 */
	String TENANT_ID = "TENANT-ID";

	/**
	 * header 中版本信息
	 */
	String VERSION = "VERSION";

	/**
	 * 租户ID
	 */
	Integer TENANT_ID_1 = 1;

	/**
	 * 删除
	 */
	String STATUS_DEL = "1";

	/**
	 * 正常
	 */
	String STATUS_NORMAL = "0";

	/**
	 * 锁定
	 */
	String STATUS_LOCK = "9";

	/**
	 * 菜单树根节点
	 */
	Integer MENU_TREE_ROOT_ID = -1;

	/**
	 * 编码
	 */
	String UTF8 = "UTF-8";

	/**
	 * 前端工程名
	 */
	String FRONT_END_PROJECT = "cloud-ui";

	/**
	 * 后端工程名
	 */
	String BACK_END_PROJECT = "cloud";

	/**
	 * 公共参数
	 */
	String PIG_PUBLIC_PARAM_KEY = "PIG_PUBLIC_PARAM_KEY";

	/**
	 * 成功标记
	 */
	Integer SUCCESS = 200;

	/**
	 * 失败标记
	 */
	Integer FAIL = 1;

	/**
	 * 用户凭证已过期
	 */
	Integer invalid_token = 1;

	/**
	 * 默认存储bucket
	 */
	String BUCKET_NAME = "lengleng";

	/**
	 * 滑块验证码
	 */
	String IMAGE_CODE_TYPE = "blockPuzzle";

	/**
	 * 验证码开关
	 */
	String CAPTCHA_FLAG = "captcha_flag";

	/**
	 * 密码传输是否加密
	 */
	String ENC_FLAG = "enc_flag";


	/**
	 * 注册角色类型
	 */
	String REGISTER_ROLE_TYPE = "register_role";

	/**
	 * 统一登录
	 */
	String SSO_ROLE_TYPE = "sso_role";

	/**
	 * 注册角色的部门
	 */
	String REGISTER_DEPT_ID = "register_dept_id";
	/**
	 * sso登录用户默认部门
	 */
	String SSO_DEPT_DEFAULT = "sso_dept_default";

	/**
	 * 审核角色的角色key
	 */
	String REVIEW_ROLE = "REVIEW_ROLE";

	/**
	 * 机构-企业
	 */
	Integer ORGAN_COMPANY = 1;

	/**
	 * 机构-园区
	 */
	Integer ORGAN_PARK = 2;
	/**
	 * 非化工企业
	 */
	Integer ORGAN_OTHER = 3;
	/**
	 * 0 待审核  1 认证通过  2认证失败  3认证失效  4:待认证
	 */
	Integer AUTH_FLAG_0 = 0;
	Integer AUTH_FLAG_1 = 1;
	Integer AUTH_FLAG_2 = 2;
	Integer AUTH_FLAG_3 = 3;
	Integer AUTH_FLAG_4 = 4;


	// 1机理模型   2危化安全生产APP  3解决方案  4技术与装备
	Integer KNOWLEDGE_TYPE_1 = 1;
	Integer KNOWLEDGE_TYPE_2 = 2;
	Integer KNOWLEDGE_TYPE_3 = 3;
	Integer KNOWLEDGE_TYPE_4 = 4;

	// 100:权重*100  10000:总值
	Integer WEIGHT_VALUE = 100;
	Integer ALL_SCORE = 10000;
	// 0 正常  1删除
	Integer DEL_FLAG_0 = 0;
	Integer DEL_FLAG_1 = 1;

	// anonymous 0:实名   1:匿名
	Integer ANONYMOUS_0 = 0;
	Integer ANONYMOUS_1 = 1;

	// 1 自评  2专家评
	Integer DATATYPE_1 = 1;
	Integer DATATYPE_2 = 2;

	// 自评和专家评价分数权重
	Double SELF_WEIGHT = 0.3;
	Double EXPERT_WEIGHT = 0.7;

	// 处理状态 0 未处理  1处理
	Integer DEAL_STATUS_0 = 0;
	Integer DEAL_STATUS_1 = 1;

	// 默认分数
	Double DEFAULT_SCORE = 0D;

	// 默认根上级id
	Integer DEFAULT_PARENTID = 0;

	// 审核状态 0 未审核 1通过 2不通过
	Integer REVIEW_STATUS_0 = 0;
	Integer REVIEW_STATUS_1 = 1;
	Integer REVIEW_STATUS_2 = 2;


	// 重大项目审核状态 0 草稿 1提交审核中 2驳回  3修改
	Integer MAJOR_PROJECT_REVIEW_STATUS_0 = 0;
	Integer MAJOR_PROJECT_REVIEW_STATUS_1 = 1;
	Integer MAJOR_PROJECT_REVIEW_STATUS_2 = 2;
	Integer MAJOR_PROJECT_REVIEW_STATUS_3 = 3;

}
