package com.lutao.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MessageEnum{

    MESSAGE_DOC(1,"cloud_doc","文档服务"),
    MESSAGE_EFFECT(2,"cloud_effect","成效评估"),
    MESSAGE_PILOT(3,"cloud_pilot","试点项目"),
    MESSAGE_KNOWLEDGE(4,"cloud_knowledge","知识沉淀"),
    MESSAGE_SPREAD(5,"cloud_spread","成果推广"),
    MESSAGE_DEMAND(6,"cloud_demand","需求对接"),
    MESSAGE_SYSTEM(7,"","系统通知"),
    MESSAGE_PUBLICSER(8,"cloud-publicser","公共服务"),
    SYSTEM_ADMIN(9,"cloud-upms","用户中心");

    /**
     * 分类id
     */
    private final Integer typeId;

    /**
     * 服务模块
     */
    private final String server;

    /**
     * 分类名称
     */
    private final String serverName;
}
