package com.lutao.cloud.common.core.kafka;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MessageTopicEnum{

    STATIC_DATA_ADD_TOPIC("oceancrude_static_data_topic","静态数据topic"),
    DYNAMIC_DATA_UPDATE_TOPIC("oceancrude_dynamic_data_topic","动态数据topic"),

    REDIS_DATA_TOPIC("redis_dynamic_data_topic","动态数据入RedisTopic");

    private final String topic;

    private final String desc;

}
