package com.lutao.cloud.common.data.mqtt;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class MqttMessage implements Serializable {

    /**
     * 消息命令
     */
    private String command;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 操作时间
     */
    private LocalDateTime optionTime;

    /**
     * 内容
     */
    private String content;

    /**
     * 房间id
     */
    private Integer roomId;

}
