package com.lutao.cloud.iot.mqtt.core.server.model.serializer;


import com.lutao.cloud.iot.mqtt.core.server.model.model.Message;

/**
 * 消息编解码
 *

 */
public interface IMessageSerializer {

	/**
	 * 消息序列化
	 *
	 * @param message Message
	 * @return byte array
	 */
	byte[] serialize(Message message);

	/**
	 * 消息反序列化
	 *
	 * @param data byte array
	 * @return Message
	 */
	Message deserialize(byte[] data);

}
