package com.lutao.cloud.common.security.annotation;

import java.lang.annotation.*;

/**

 * @date 2019/4/13
 * <p>
 * 服务调用鉴权注解
 */
@Target({ ElementType.METHOD, ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Inner{

	/**
	 * 是否AOP统一处理
	 * @return false, true
	 */
	boolean value() default true;

	/**
	 * 需要特殊判空的字段(预留)
	 * @return
	 */
	String[] field() default{};

}
