package com.lutao.cloud.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.lutao.cloud.common.security.component.CloudAuth2ExceptionSerializer;

/**

 * @date 2018/7/8
 */
@JsonSerialize(using = CloudAuth2ExceptionSerializer.class)
public class InvalidException extends CloudAuth2Exception{

	public InvalidException(String msg, Throwable t){
		super(msg);
	}

	@Override
	public String getOAuth2ErrorCode(){
		return "invalid_exception";
	}

	@Override
	public int getHttpErrorCode(){
		return 426;
	}

}
