package com.lutao.cloud.iot.mqtt.spring.server;

import com.lutao.cloud.iot.mqtt.core.server.MqttServerCreator;

/**
 * MqttServer 配置自定义
 *

 */
@FunctionalInterface
public interface MqttServerCustomizer {

	/**
	 * MqttServerCreator 自定义扩展
	 *
	 * @param creator MqttServerCreator
	 */
	void customize(MqttServerCreator creator);

}
