package com.lutao.cloud.admin.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**

 * @date 2020/10/9
 * <p>
 * 日志查询传输对象
 */
@Data
@ApiModel(value = "日志查询对象")
public class SysLogsDTO {

	/**
	 * 编号
	 */
//	private Long id;

//	/**
//	 * 日志类型
//	 */
//	@ApiModelProperty(value = "日志类型")
//	private String type;

	/**
	 * 关键字
	 */
	@ApiModelProperty(value="关键字")
	private String searchKey;

	/**
	 * 关键字
	 */
	@ApiModelProperty(value="开始时间 YYYY-MM-DD")
	private LocalDate startTime;

	/**
	 * 关键字
	 */
	@ApiModelProperty(value="结束时间 YYYY-MM-DD")
	private LocalDate endTime;

	/**
	 * 操作人
	 */
	@ApiModelProperty(value="操作人")
	private String createBy;

}
