

package com.lutao.cloud.admin.api.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 
 *
 * @author guoyc
 * @date 2022-05-30 10:00:45
 */
@Data
@TableName("sys_company")
@ApiModel(value = "")
public class SysCompany implements Serializable {

    private static final long serialVersionUID = 7438701521313317074L;


    /**
     * 公司id
     */
    @ApiModelProperty(value="公司id")
    private Integer id;

    /**
     * 公司名字
     */
    @ApiModelProperty(value="公司名字")
    private String companyName;

    /**
     * 公司简介
     */
    @ApiModelProperty(value="公司简介")
    private String companyIntro;

    /**
     * 公司证件号
     */
    @ApiModelProperty(value="公司证件号")
    private String companyCode;

    /**
     * 成立时间
     */
    @ApiModelProperty(value="成立时间")
    private LocalDate establishmentTime;

    /**
     * 企业类型
     */
    @ApiModelProperty(value="企业类型")
    private String companyType;

    /**
     * 法人代表
     */
    @ApiModelProperty(value="法人代表")
    private String legalPerson;


    /**
     * 经济分类
     */
    @ApiModelProperty(value="经济分类")
    private String economicType;

    /**
     * 企业规模
     */
    @ApiModelProperty(value="企业规模")
    private String companyScale;

    /**
     * 职工人数
     */
    @ApiModelProperty(value="职工人数")
    private Integer staffCount;

    /**
     * 领域id
     */
    @ApiModelProperty(value="领域id")
    private Integer domainId;

    /**
     * 规模id
     */
    @ApiModelProperty(value="规模id")
    private Integer scaleId;

    /**
     * 行业id
     */
    @ApiModelProperty(value="行业id")
    private Integer industryId;
}
