package com.lutao.cloud.consume.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.consume.vo.TagTypeVO;
import com.lutao.entity.ProcessParameterTag;

public interface ProcessParameterTagService extends IService<ProcessParameterTag> {

    /**
     * 根据code获取参数类型
     *
     * @param tagCode 标签代码
     * @return {@link TagTypeVO}
     */
    TagTypeVO getTagTypeByCode(String tagCode);
}
