package com.lutao.cloud.consume.util;

import com.lutao.cloud.collect.dto.DataAddDTO;
import com.lutao.cloud.collect.vo.DataAddVO;

public class EntityConvert {

    /**
     * dataAddDto转换为Vo
     *
     * @param dataAddDTO 数据添加dto
     * @return {@link DataAddVO}
     */
    public static DataAddVO dataAddDtoToVo(DataAddDTO dataAddDTO) {
        DataAddVO dataAddVO = new DataAddVO();
        dataAddVO.setTs(dataAddDTO.getTs());
        dataAddVO.setCommand(dataAddDTO.getCommand());
        dataAddVO.setSign(dataAddDTO.getSign());
        dataAddVO.setResource(dataAddDTO.getResource());
        dataAddVO.setAppKey(dataAddDTO.getAppKey());
        dataAddVO.setRequestId(dataAddDTO.getRequestId());
        return dataAddVO;
    }
}
