package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "关键工艺参数监测预警图表参数", description = "关键工艺参数监测预警图表参数")
public class DetectAlarmChartVOParam extends BaseParam{
    private static final long serialVersionUID = 558002162480199340L;

    private String tagType;

    @ApiModelProperty(value = "开始日期")
    private LocalDate startDate;

    @ApiModelProperty(value = "结束日期")
    private LocalDate endDate;
}
