package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 人员出海参数
 *
 * @author yx
 * @date 2023/07/28
 */
@ApiModel(value = "人员出海参数")
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class PersonGoSeaParam extends BaseParam implements Serializable {
    private static final long serialVersionUID = -5357767418759717581L;

    @ApiModelProperty(value = "姓名")
    private String name;
}
