package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@ApiModel(value = "问题隐患整改情况查询参数")
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class ProblemRectifyStatusParam extends BaseParam implements Serializable {
    private static final long serialVersionUID = 4263140799913948828L;

    @ApiModelProperty(value = "深度评估:1 ; 分部检查:2 ;部级督导:3；自评：4")
    private Integer type;

}
