package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "各油商报警数量")
public class AlarmStatisticByAppName implements Serializable {
    private static final long serialVersionUID = -3757288258856071766L;

    @ApiModelProperty(value = "油商名称")
    private String appName;

    @ApiModelProperty(value = "温度报警数量")
    private Long temperatureAlarmNumber;

    @ApiModelProperty(value = "液位报警数量")
    private Long liquidLevelAlarmNumber;

    @ApiModelProperty(value = "压力报警数量")
    private Long pressureAlarmNumber;
}
