package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 相机vo
 *
 * @author yx
 * @date 2023/10/18
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "摄像头vo")
public class CameraVO implements Serializable {
    private static final long serialVersionUID = -5206803457361932852L;

    //id
    @ApiModelProperty(value = "id")
    private Integer id;

    //摄像头名称
    @ApiModelProperty(value = "摄像头名称")
    private String cameraName;

    @ApiModelProperty(value = "摄像头index")
    private String cameraIndex;

    @ApiModelProperty(value = "在线状态，0.离线，1.在线")
    private Integer onlineStatus;
}
