package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 专业设备设备统计
 *
 * @author yx
 * @date 2023/07/28
 */
@ApiModel(value = "专业设备设备统计")
@Data
@Accessors(chain = true)
public class EquipmentStatisticsVO implements Serializable {
    private static final long serialVersionUID = -1432351150796337926L;

    @ApiModelProperty(value = "专业设备总数")
    private Long equipmentCount;

    @ApiModelProperty(value = "平台名称及数量")
    private List<EquipmentNameAndNumberVO> equipmentNameAndNumberVOS;
}
