package com.lutao.cloud.oil.pojo.vo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 专业设备分类统计VO
 *
 * @author yx
 * @date 2023/07/28
 */
@ApiModel(value = "专业设备分类统计VO")
@Data
@Accessors(chain = true)
public class EquipmentTypeStatisticsVO implements Serializable {
    private static final long serialVersionUID = -7121685259460290762L;

    @ApiModelProperty(value = "合计")
    private String amount;

    @ApiModelProperty(value = "专业设备列表")
    private IPage<EquipmentTypeVO> equipmentTypeVOIPage;

}
