package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 地图显示VO
 *
 * @author yx
 * @date 2023/08/01
 */
@ApiModel(value = "地图展示VO")
@Data
@Accessors(chain = true)
public class MapDisplayVO implements Serializable {
    private static final long serialVersionUID = 4432468967957396156L;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "平台经度")
    private Double platformLat;

    @ApiModelProperty(value = "平台纬度")
    private Double platformLng;

    @ApiModelProperty(value = "温度")
    private String temp;

    @ApiModelProperty(value = "大气")
    private String pressure;

    @ApiModelProperty(value = "风向")
    private String windDirection;

    @ApiModelProperty(value = "风速")
    private String windSpeed;
}
