package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel(value = "平台视频vo")
public class PlatformVideoVO implements Serializable {
    private static final long serialVersionUID = 2442640679113572646L;

    //平台名称
    @ApiModelProperty(value = "平台名称")
    private String platformName;

    //摄像头名称
    @ApiModelProperty(value = "摄像头名称")
    private List<CameraVO> cameraNames;
}
