package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 问题隐患整改情况--分布检查--问题整改占比VO
 *
 * @author yx
 * @date 2023/07/28
 */
@ApiModel(value = "问题隐患整改情况--分布检查--问题整改占比VO")
@Data
@Accessors(chain = true)
public class ProblemRectifyProportionVO implements Serializable {
    private static final long serialVersionUID = 94070128191740173L;

    @ApiModelProperty(value = "问题隐患数量")
    private Integer problemNumber;

    @ApiModelProperty(value = "整改完成数量")
    private Integer rectifyNumber;

    @ApiModelProperty(value = "整改率")
    private String rectifyProportion;
}
