package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Accessors(chain = true)
@ApiModel(value = "工艺参数信息VO")
public class ProcessParametersTagVO implements Serializable {
    private static final long serialVersionUID = 4478730510199831506L;


    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "点位名称")
    private String tagName;

    @ApiModelProperty(value = "点位类型")
    private Integer tagType;

    @ApiModelProperty(value = "点位code")
    private String tagCode;

    @ApiModelProperty(value = "监测值")
    private String rtValue;

    @ApiModelProperty(value = "unit单位")
    private String unit;

    @ApiModelProperty(value = "阈值上限")
    private String upperLimit;

    @ApiModelProperty(value = "阈值上上限")
    private String upperUpperLimit;

    @ApiModelProperty(value = "采集时间")
    private LocalDateTime collectTime;

    @ApiModelProperty(value = "状态 0启用 1停用")
    private Integer status;



}
