package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 重大事项报告信息数据
 *
 * @author yx
 * @date 2023/08/09
 */
@ApiModel(value = "安全风险管控-重大事项安全管理")
@Data
@Accessors(chain = true)
public class ScreenDisplayMattersVO implements Serializable {
    private static final long serialVersionUID = -8014619756967790257L;

    @ApiModelProperty(value = "设施名称")
    private String facilityName;

    @ApiModelProperty(value = "报告内容")
    private String reportContent;

    @ApiModelProperty(value = "油商名称")
    private String appName;

    @ApiModelProperty(value = "海上平台(设施)")
    private String platformName;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "报告时间")
    private LocalDate reportTime;

}
