package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 海洋平台（设施）总体情况
 *
 * @author yx
 * @date 2023/08/18
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "海洋平台（设施）总体情况")
public class SeaPlatformFacilityVO implements Serializable {
    private static final long serialVersionUID = 55923119152142756L;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "海上平台(设施)")
    private String platform;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "风险级别")
    private String riskLevel;

    @ApiModelProperty(value = "评分时间")
    private String scoringTime;
}
