package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "安全风险评估饼图")
public class SecurityRiskAssessmentPieVO implements Serializable {
    private static final long serialVersionUID = 2127180987699911394L;

    @ApiModelProperty(value = "总数")
    private Long total;

    @ApiModelProperty(value = "高风险数量")
    private Long highRiskNumber;

    @ApiModelProperty(value = "较高风险数量")
    private Long mediumHighRiskNumber;

    @ApiModelProperty(value = "中风险数量")
    private Long mediumRiskNumber;

    @ApiModelProperty(value = "低风险数量")
    private Long lowRiskNumber;

    @ApiModelProperty(value = "高风险数量占比")
    private String highRiskNumberProportion;

    @ApiModelProperty(value = "较高风险数量占比")
    private String mediumHighRiskNumberProportion;

    @ApiModelProperty(value = "中风险数量占比")
    private String mediumRiskNumberProportion;

    @ApiModelProperty(value = "低风险数量占比")
    private String lowRiskNumberProportion;


}
