package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 安全风险评估时间分布
 *
 * @author yx
 * @date 2023/07/28
 */
@ApiModel(value = "安全风险评估时间分布")
@Data
@Accessors(chain = true)
public class SecurityRiskAssessmentTimeDistributionVO implements Serializable {
    private static final long serialVersionUID = 6991166516561740033L;

    @ApiModelProperty(value = "一月评估次数")
    private Integer januaryNumber;

    @ApiModelProperty(value = "二月评估次数")
    private Integer februaryNumber;

    @ApiModelProperty(value = "三月评估次数")
    private Integer marchNumber;

    @ApiModelProperty(value = "四月评估次数")
    private Integer aprilNumber;

    @ApiModelProperty(value = "五月评估次数")
    private Integer mayNumber;

    @ApiModelProperty(value = "六月评估次数")
    private Integer juneNumber;

    @ApiModelProperty(value = "七月评估次数")
    private Integer julyNumber;

    @ApiModelProperty(value = "八月评估次数")
    private Integer augustNumber;

    @ApiModelProperty(value = "九月评估次数")
    private Integer septemberNumber;

    @ApiModelProperty(value = "十月评估次数")
    private Integer octoberNumber;

    @ApiModelProperty(value = "十一月评估次数")
    private Integer novemberNumber;

    @ApiModelProperty(value = "十二月评估次数")
    private Integer decemberNumber;
}
