package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 视频设备信息库vo
 *
 * @author yx
 * @date 2023/10/10
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "视频设备信息库vo")
public class VideoEquipmentInfoBaseVO implements Serializable {

    private static final long serialVersionUID = -921797046505952080L;

    //id
    @ApiModelProperty(value = "id")
    private Integer id;

    //油商名称
    @ApiModelProperty(value = "油商名称")
    private String appName;

    //平台名称
    @ApiModelProperty(value = "平台名称")
    private String platformName;

    //摄像头名称
    @ApiModelProperty(value = "摄像头名称")
    private String cameraName;

    @ApiModelProperty(value = "摄像头index")
    private String cameraIndex;

    @ApiModelProperty(value = "在线状态，0.离线，1.在线")
    private Integer onlineStatus;
}
