

package com.lutao.cloud.oil.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.entity.PerceptionMonitorFireInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 火灾感知监测信息
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Mapper
public interface PerceptionMonitorFireInfoMapper extends CloudBaseMapper<PerceptionMonitorFireInfo> {

    /**
     * 获取最新的数据
     * @return
     */
    List<PerceptionMonitorFireInfo> selectNewRecore(@Param("size") Integer size);
}
