

package com.lutao.cloud.oil.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.entity.PerceptionMonitorGasInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 可燃气体感知监测信息
 *
 * @author guoyc
 * @date 2023-07-20 10:56:48
 */
@Mapper
public interface PerceptionMonitorGasInfoMapper extends CloudBaseMapper<PerceptionMonitorGasInfo> {
    /**
     * 获取最新的数据
     * @return
     */
    List<PerceptionMonitorGasInfo> selectNewRecore(@Param("size") Integer size);
}
