package com.lutao.cloud.admin.mapper;

import com.lutao.cloud.admin.api.entity.SysDeptRelation;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * Mapper 接口
 * </p>
 *

 * @since 2018-02-12
 */
@Mapper
public interface SysDeptRelationMapper extends CloudBaseMapper<SysDeptRelation>{

	/**
	 * 删除部门关系表数据
	 * @param id 部门ID
	 */
	void deleteDeptRelationsById(Integer id);

	/**
	 * 更改部分关系表数据
	 * @param deptRelation
	 */
	void updateDeptRelations(SysDeptRelation deptRelation);

}
